part of barcodes;

///CodeType.uncodable represents the input symbol is not codable
///CodeType.singleDigit represents the input symbol is single digit
///CodeType.doubleDigit represents the input symbol is double digit
///CodeType.fnc1 represents the input symbol is special character
enum CodeType { uncodable, singleDigit, doubleDigit, fnc1 }

///QRCodeVersion.auto specifies the qr code version is auto
///QRCodeVersion.version1 specifies the qr code version is 1.
///QRCodeVersion.version2 specifies the qr code version is 2.
///QRCodeVersion.version3 specifies the qr code version is 3.
///QRCodeVersion.version4 specifies the qr code version is 4.
///QRCodeVersion.version5 specifies the qr code version is 5.
///QRCodeVersion.version6 specifies the qr code version is 6.
///QRCodeVersion.version7 specifies the qr code version is 7.
///QRCodeVersion.version8 specifies the qr code version is 8.
///QRCodeVersion.version9 specifies the qr code version is 9.
///QRCodeVersion.version10 specifies the qr code version is 10.
///QRCodeVersion.version11 specifies the qr code version is 11.
///QRCodeVersion.version12 specifies the qr code version is 12.
///QRCodeVersion.version13 specifies the qr code version is 13.
///QRCodeVersion.version14 specifies the qr code version is 14.
///QRCodeVersion.version15 specifies the qr code version is 15.
///QRCodeVersion.version16 specifies the qr code version is 16.
///QRCodeVersion.version17 specifies the qr code version is 17.
///QRCodeVersion.version18 specifies the qr code version is 18.
///QRCodeVersion.version19 specifies the qr code version is 19.
///QRCodeVersion.version20 specifies the qr code version is 20.
///QRCodeVersion.version21 specifies the qr code version is 21
///QRCodeVersion.version22 specifies the qr code version is 22.
///QRCodeVersion.version23 specifies the qr code version is 23.
///QRCodeVersion.version24 specifies the qr code version is 24.
///QRCodeVersion.version25 specifies the qr code version is 25.
///QRCodeVersion.version26 specifies the qr code version is 26.
///QRCodeVersion.version27 specifies the qr code version is 27.
///QRCodeVersion.version28 specifies the qr code version is 28.
///QRCodeVersion.version29 specifies the qr code version is 29.
///QRCodeVersion.version30 specifies the qr code version is 30.
///QRCodeVersion.version31 specifies the qr code version is 31.
///QRCodeVersion.version32 specifies the qr code version is 32.
///QRCodeVersion.version33 specifies the qr code version is 33.
///QRCodeVersion.version34 specifies the qr code version is 34.
///QRCodeVersion.version35 specifies the qr code version is 35
///QRCodeVersion.version36 specifies the qr code version is 36.
///QRCodeVersion.version37 specifies the qr code version is 37.
///QRCodeVersion.version38 specifies the qr code version is 38.
///QRCodeVersion.version39 specifies the qr code version is 39.
///QRCodeVersion.version40 specifies the qr code version is 40.
enum QRCodeVersion {
  auto,
  version01,
  version02,
  version03,
  version04,
  version05,
  version06,
  version07,
  version08,
  version09,
  version10,
  version11,
  version12,
  version13,
  version14,
  version15,
  version16,
  version17,
  version18,
  version19,
  version20,
  version21,
  version22,
  version23,
  version24,
  version25,
  version26,
  version27,
  version28,
  version29,
  version30,
  version31,
  version32,
  version33,
  version34,
  version35,
  version36,
  version37,
  version38,
  version39,
  version40
}

///ErrorCorrectionLevel.low represents the error correction level is low
///ErrorCorrectionLevel.medium represents the error correction level is medium
///ErrorCorrectionLevel.quartile represents the error correction level is quartile
///ErrorCorrectionLevel.high represents the error correction level is high
enum ErrorCorrectionLevel { low, medium, quartile, high }

///QRInputMode.numeric represents the input data as numeric
///QRInputMode.alphaNumeric represents the input data as alphaNumeric
///QRInputMode.binary represents the input data as binary
enum QRInputMode { numeric, alphaNumeric, binary }

/// DataMatrixEncoding.auto represents the auto encoding
/// DataMatrixEncoding.ascii represents the ascii encoding
/// DataMatrixEncoding.asciiNumeric represents the asciiNumeric encoding
/// DataMatrixEncoding.base256 represents the base256 encoding
enum DataMatrixEncoding { auto, ascii, asciiNumeric, base256 }

/// DataMatrixSize.auto chooses the matrix size based on the data
/// DataMatrixSize.size10x10 represents the 10x10 matrix
/// DataMatrixSize.size12x12 represents the 12x12 matrix
/// DataMatrixSize.size14x14 represents the 14x14 matrix
/// DataMatrixSize.size16x16 represents the 16x16 matrix
/// DataMatrixSize.size18x18 represents the 18x18 matrix
/// DataMatrixSize.size20x20 represents the 20x20 matrix
/// DataMatrixSize.size22x22 represents the 22x22 matrix
/// DataMatrixSize.size24x24 represents the 24x24 matrix
/// DataMatrixSize.size26x26 represents the 26x26 matrix
/// DataMatrixSize.size32x32 represents the 32x32 matrix
/// DataMatrixSize.size36x36 represents the 36x36 matrix
/// DataMatrixSize.size40x40 represents the 40x40 matrix
/// DataMatrixSize.size44x44 represents the 44x44 matrix
/// DataMatrixSize.size48x48 represents the 48x48 matrix
/// DataMatrixSize.size52x52 represents the 52x52 matrix
/// DataMatrixSize.size64x64 represents the 64x64 matrix
/// DataMatrixSize.size72x72 represents the 72x72 matrix
/// DataMatrixSize.size80x80 represents the 80x80 matrix
/// DataMatrixSize.size88x88 represents the 88x88 matrix
/// DataMatrixSize.size96x96 represents the 96x96 matrix
/// DataMatrixSize.size104x104 represents the 104x104 matrix
/// DataMatrixSize.size120x120 represents the 120x120 matrix
/// DataMatrixSize.size132x132 represents the 132x132 matrix
/// DataMatrixSize.size144x144 represents the 144x144 matrix
/// DataMatrixSize.size8x18 represents the 8x18 matrix
/// DataMatrixSize.size8x32 represents the 8x32 matrix
/// DataMatrixSize.size12x26 represents the 12x26 matrix
/// DataMatrixSize.size12x36 represents the 12x36 matrix
/// DataMatrixSize.size16x36 represents the 16x36 matrix
/// DataMatrixSize.size16x48 represents the 16x48 matrix
enum DataMatrixSize {
  auto,
  size10x10,
  size12x12,
  size14x14,
  size16x16,
  size18x18,
  size20x20,
  size22x22,
  size24x24,
  size26x26,
  size32x32,
  size36x36,
  size40x40,
  size44x44,
  size48x48,
  size52x52,
  size64x64,
  size72x72,
  size80x80,
  size88x88,
  size96x96,
  size104x104,
  size120x120,
  size132x132,
  size144x144,
  size8x18,
  size8x32,
  size12x26,
  size12x36,
  size16x36,
  size16x48
}
